=== modified file 'src/Ubuntu/UnityWebApps/UnityWebApps.js'
--- src/Ubuntu/UnityWebApps/UnityWebApps.js	2013-08-27 04:45:47 +0000
+++ src/Ubuntu/UnityWebApps/UnityWebApps.js	2013-09-16 18:55:49 +0000
@@ -52,6 +52,10 @@
                 this._bindeeProxies.cleanup();
         },
 
+        proxies: function() {
+            return this._bindeeProxies;
+        },
+
         _bind: function () {
             var self = this;
 

=== modified file 'src/Ubuntu/UnityWebApps/UnityWebApps.qml'
--- src/Ubuntu/UnityWebApps/UnityWebApps.qml	2013-09-12 17:52:06 +0000
+++ src/Ubuntu/UnityWebApps/UnityWebApps.qml	2013-09-16 18:55:49 +0000
@@ -399,7 +399,7 @@
                     UnityBackends.clearAll();
                     UnityBackends.createAllWithAsync(webapps,
                                                      {name: webappName, displayName: params.name},
-                                                     bindee);
+                                                     internal.instance ? internal.instance.proxies() : null);
 
                     UnityBackends.signalOnBackendReady("base", function () {
 

=== modified file 'src/Ubuntu/UnityWebApps/UnityWebAppsUtils.js'
--- src/Ubuntu/UnityWebApps/UnityWebAppsUtils.js	2013-09-12 20:57:00 +0000
+++ src/Ubuntu/UnityWebApps/UnityWebAppsUtils.js	2013-09-16 18:55:49 +0000
@@ -35,7 +35,6 @@
 function makeProxiesForQtWebViewBindee(webViewId, eventHandlers) {
 
     var handlers = eventHandlers && typeof(eventHandlers) === 'object' ? eventHandlers : {};
-
     function SignalConnectionDisposer() {
         this._signalConnectionDisposers = [];
     }
@@ -54,8 +53,6 @@
 
     return (function (disposer) {
 
-        var _appRaisedHandlers = [];
-
         var makeSignalDisconnecter = function(sig, callback) {
             return function () {
                 sig.disconnect(callback);

